XQuartz dependency problem?

Questions about Wine on macOS.
Post Reply
etownAndy
Newbie
Newbie
Posts: 4
Joined: Thu Mar 15, 2018 1:53 pm

XQuartz dependency problem?

Post by etownAndy » Thu Mar 15, 2018 1:56 pm

I'm trying to run the pkg installer for Winhq-stable-3.0

Understanding that I needed to have XQuartz 2.7.7 or later first, I downloaded and installed 2.7.10. That install seems to be working just fine.

However, when I launch the package for Wine, I'm immediately told I need to install XQuartz 2.7.7 or later first, then the package exits.

Any ideas?

Gcenx
Level 5
Level 5
Posts: 295
Joined: Mon Dec 25, 2017 12:11 pm

Re: XQuartz dependency problem?

Post by Gcenx » Thu Mar 29, 2018 12:52 pm

Nobody would answer this after all this time?

Ok the reason is the installer seems to think XQuartz 2.7.10 is 2.7.1, so 2.7.7 it thinks is newer


Also who is making the installer for MAC these days, why require XQuartz when by default is now uses Apples display you need to change a registry setting to even use X11 server.....

etownAndy
Newbie
Newbie
Posts: 4
Joined: Thu Mar 15, 2018 1:53 pm

Re: XQuartz dependency problem?

Post by etownAndy » Fri Mar 30, 2018 12:45 pm

Hmm...so if I grab a copy of 2.7.7, do you think that would work?

Gcenx
Level 5
Level 5
Posts: 295
Joined: Mon Dec 25, 2017 12:11 pm

Re: XQuartz dependency problem?

Post by Gcenx » Sat Mar 31, 2018 12:47 pm

etownAndy wrote:Hmm...so if I grab a copy of 2.7.7, do you think that would work?
Yes when 2.7.7 is installed you will be able to install official Wine packages just fine.

Might want to remove the new version of XQuartz reboot then install the older version.

etownAndy
Newbie
Newbie
Posts: 4
Joined: Thu Mar 15, 2018 1:53 pm

Re: XQuartz dependency problem?

Post by etownAndy » Fri Apr 13, 2018 1:41 pm

Well, I removed XQuartz, rebooted, and I'm still getting the same message from the Winehq-stable-3.0.pkg

Gcenx
Level 5
Level 5
Posts: 295
Joined: Mon Dec 25, 2017 12:11 pm

Re: XQuartz dependency problem?

Post by Gcenx » Fri Apr 13, 2018 8:20 pm

etownAndy wrote:Well, I removed XQuartz, rebooted, and I'm still getting the same message from the Winehq-stable-3.0.pkg
That's strange, I removed the newer version myself then installed 2.7.7 and had no issues.

What version of macOS/OSX are you running?

etownAndy
Newbie
Newbie
Posts: 4
Joined: Thu Mar 15, 2018 1:53 pm

Re: XQuartz dependency problem?

Post by etownAndy » Fri Apr 05, 2019 12:31 pm

Gosh, has it been a whole year? :). Still not able to install. I'm using 10.14.4, Mojave.

I tried the uninstall steps listed in the Quartz FAQ but it made no difference.
launchctl unload /Library/LaunchAgents/org.macosforge.xquartz.startx.plist
sudo launchctl unload /Library/LaunchDaemons/org.macosforge.xquartz.privileged_startx.plist
sudo rm -rf /opt/X11* /Library/Launch*/org.macosforge.xquartz.* /Applications/Utilities/XQuartz.app /etc/*paths.d/*XQuartz
sudo pkgutil --forget org.macosforge.xquartz.pkg

Gcenx
Level 5
Level 5
Posts: 295
Joined: Mon Dec 25, 2017 12:11 pm

Re: XQuartz dependency problem?

Post by Gcenx » Fri Apr 05, 2019 5:01 pm

etownAndy wrote:Gosh, has it been a whole year? :). Still not able to install. I'm using 10.14.4, Mojave.

I tried the uninstall steps listed in the Quartz FAQ but it made no difference.
launchctl unload /Library/LaunchAgents/org.macosforge.xquartz.startx.plist
sudo launchctl unload /Library/LaunchDaemons/org.macosforge.xquartz.privileged_startx.plist
sudo rm -rf /opt/X11* /Library/Launch*/org.macosforge.xquartz.* /Applications/Utilities/XQuartz.app /etc/*paths.d/*XQuartz
sudo pkgutil --forget org.macosforge.xquartz.pkg
Yeah it's been that long.


I used this gist before it always seems to get updated. https://gist.github.com/pwnsdx/d127873e ... accaf37ee4

I actually no longer even have XQuartz installed I just have "/Applications/Utilities/XQuartz.app" and that even keep the new Wine installer happy but it's not like I use those anyway.

The alternative is to use one of the Portable versions and then add it to PATH but you still need to provide at least libpng15.15.dylib and libfreetype.6.dylib for wine to function. Winehq builds by default look within "/opt/x11/lib/" for both of those unless you configure "DYLD_FALLBACK_LIBRARY_PATH" if you want to keep them in another location.


On a side note don't upgrade past Mojave if you want to use wine.

Post Reply